package intrinsic.mx.managers;

public interface IFocusManager {

	/** Accessors */
//	public boolean defaultButtonEnabled;
//	public intrinsic.flash.display.Sprite focusPane;
//	public int nextTabIndex;
//	public intrinsic.mx.core.IUIComponent defaultButton;
//	public boolean showFocusIndicator;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public void hideFocus();
public void deactivate();
public intrinsic.mx.managers.IFocusManagerComponent findFocusManagerComponent(intrinsic.flash.display.InteractiveObject arg0);
public void setFocus(intrinsic.mx.managers.IFocusManagerComponent arg0);
public intrinsic.mx.managers.IFocusManagerComponent getFocus();
public intrinsic.mx.managers.IFocusManagerComponent getNextFocusManagerComponent();
public intrinsic.mx.managers.IFocusManagerComponent getNextFocusManagerComponent(boolean arg0);
public void showFocus();
public void activate();

}
